Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools
Class ConvertProfilesToAL

    java.lang.Object
      org.jasig.portal.tools.ConvertProfilesToAL

    public class ConvertProfilesToAL

extends java.lang.Object

ConvertProfilesToAL prepares and upgraded 2.1 database to work with Aggregated Layouts and Integrated Modes. In order to do this, it converts the existing template user profiles to use the AL/IM structure and theme, and deletes profiles for non-template users. This results in the resetting of layouts for normal users.

Version:
  $Revision: 1.9 $
Author:
  Al Wold (alwold@asu.edu)

Field Summary
`private static IUserLayoutStore` | `uls`

Constructor Summary
`ConvertProfilesToAL()`

Method Summary
`static void` | `convertProfiles(int id, int simpleSsId, int alSsId, int imSsId)`
`static void` | `createTemplateProfiles(int lastTemplateUser)`
`static void` | `deleteUserProfiles(boolean deleteLayouts, int lastTemplateUser)`
`static java.util.List` | `getUserIds(int lastTemplateUser)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uls

    private static IUserLayoutStore uls

Constructor Detail

### ConvertProfilesToAL

    public ConvertProfilesToAL()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getUserIds

    public static java.util.List getUserIds(int lastTemplateUser)
                                     throws PortalException

  Throws:
    `PortalException`

### deleteUserProfiles

    public static void deleteUserProfiles(boolean deleteLayouts,
                                          int lastTemplateUser)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convertProfiles

    public static void convertProfiles(int id,
                                       int simpleSsId,
                                       int alSsId,
                                       int imSsId)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createTemplateProfiles

    public static void createTemplateProfiles(int lastTemplateUser)
                                       throws PortalException

  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD